List tracked accounts
curl --request GET \
--url https://api.example.com/api/v2/accountsimport requests
url = "https://api.example.com/api/v2/accounts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tracked Accounts
List tracked accounts
List the active + sleeping tracked X accounts for the authenticated user
GET
/
api
/
v2
/
accounts
List tracked accounts
Lists the user’s tracked accounts. Discovery surface for the sleep / wake / change-tier verbs. There is no
For subscription summary + credits + budgets, see GET /api/v2/me.
POST /api/v2/accounts - tracked accounts are upserted as a side effect of stream creation (see POST /api/v2/streams).
Example
curl https://www.catchthegoodones.com/api/v2/accounts \
-H "Authorization: Bearer ctgo_your_api_key_here"
Response
{
"active": [
{
"id": 7,
"xHandle": "yongfook",
"tier": "starter",
"isActive": true,
"profileImageUrl": "https://pbs.twimg.com/profile_images/...",
"lastKnownFollowerCount": 12500,
"lastKnownTweetCount": 4321,
"tags": [],
"addedAt": "2026-03-01T00:00:00Z",
"assignedSegmentIds": [12, 13],
"pendingTier": null,
"pendingTierEffectiveAt": null
}
],
"sleeping": []
}
Response fields
| Field | Type | Description |
|---|---|---|
active[] | array | Currently-tracked accounts (synced + billed) |
sleeping[] | array | Accounts that have been slept (paused; not billed) |
tier | enum | "starter", "growth", "pro" |
assignedSegmentIds[] | number[] | Segment IDs assigned via any active stream containing this account |
pendingTier | enum or null | Scheduled tier change effective at pendingTierEffectiveAt (end of billing period) |
Auth
Bearer or session cookie.⌘I